[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Bug 183028] Review Request: perl-Spiffy



Please do not reply directly to this email. All additional
comments should be made in the comments box of this bug report.

Summary: Review Request: perl-Spiffy


https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=183028





------- Additional Comments From steve silug org  2006-02-25 19:57 EST -------
> What autogenerated these specs?

cpanspec (http://cpanspec.sf.net/ or install it from Extras).

While I didn't (and probably should) mention it in the changelog, I had to do a
little minor cleanup to most of the specs it generated, but it's usually just a
matter of verifying the license and fixing the description.

> I'll try to get through them all tonight.

Thank you.  :-)

> Anyway, one problem and one question:
> 
> BuildRequires: perl >= 1:5.6.1 should go; it will always be satisfied for
> Extras packages thus is prohibited by the packaging guidelines.

True.  That's probably something picked up by cpanspec.  I'll change that.

> Why the Provides: perl(mixin)?  I note that RPM does not find that provide,
> but I'm wondering why not.

ISTR that rpm picked up a Requires, but not the Provides, so I added the
Provides.  The Requires seems to get picked up in this whole stack, so I don't
think filtering it out would work.

# rpm -q --whatrequires 'perl(mixin)'
perl-IO-All-0.33-1.fc4
perl-Kwiki-0.38-1.fc4
perl-Kwiki-UserPreferences-0.13-1.fc4
perl-Kwiki-Search-0.12-1.fc4
perl-Kwiki-Revisions-0.15-1.fc4
perl-Kwiki-RecentChanges-0.13-1.fc4
perl-Kwiki-NewPage-0.12-1.fc4
perl-Kwiki-UserName-0.14-1.fc4


-- 
Configure bugmail: https://bugzilla.redhat.com/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the QA contact for the bug, or are watching the QA contact.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]